Creates a new project type.

POSThttps://api.awork.com/api/v1/projecttypes
POST https://api.awork.com/api/v1/projecttypes

Creates a new project type. The new type can be selected when projects are created.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

application/json

namestringRequired
minLength: 0 maxLength: 255

The names of the project type.

descriptionstring or nullOptional
minLength: 0 maxLength: 1000

A short description of the project type.

iconstring or nullOptional
minLength: 0 maxLength: 25

The identifier of the project type icon.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the type.

namestring or nullOptional

The name of the project type.

descriptionstring or nullOptional

A short (max. 140 characters) description of the project type.

iconstring or nullOptional

The identifier of the project type icon.

isArchivedbooleanOptional

Whether this type is archived. It can no longer be used to create projects, but existing projects will continue using it.

isPresetbooleanOptional

Whether this type is one of the preset types. Preset types cannot be edited.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

Search documentation